Subject: Re: [bug#50722] [PATCH] gnu: Update amsynth to 1.12.2

From: Thomas Albers <[email-masked]>
Date: Fri, 01 Oct 2021 00:43:22 +0200

Hello Efraim,

I've found the cause for the LASH runtime error. LASH was never used by
amsynth.

As of version 1.7.1 the `lash.c` source file had a `#ifdef WITH_LASH`
block for enabling lash support, WITH_LASH was however never defined.
This can be easily checked by adding `#error "LASH is actually being
used"` immediately after the #ifdef.

Starting with version 1.9 the lash related functions actually get
included into the binary and cause the error complaining about the lash
server not being available.

Because LASH was never used to begin with, I've decided to remove it.
I am sending a new patch including this changes.

Greetings,
Thomas

Efraim Flashner <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Couple of comments about the patch:
>
> gsettings-desktop-schemas don't seem to be needed at build time, and it
> launched fine for me when I removed it from the build entirely.
>
> When I launuched it from the command line I got errors about not being
> able to connect to lash.
>
> Is the lash bit a regression from the currently packaged version? Are
> you sure gsettings-desktop-schemas is actually needed?
>
> Thanks.
>
>
> On Tue, Sep 21, 2021 at 04:17:01PM +0200, Thomas Albers via Guix-patches via wrote:
>> ---
>>  gnu/packages/music.scm | 12 +++++++-----
>>  1 file changed, 7 insertions(+), 5 deletions(-)
>>
>> diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
>> index ff1330d228..fe64b2af1b 100644
>> --- a/gnu/packages/music.scm
>> +++ b/gnu/packages/music.scm
>> @@ -43,6 +43,7 @@
>>  ;;; Copyright © 2021 Felix Gruber <[email-masked]>
>>  ;;; Copyright © 2021 Simon Streit <[email-masked]>
>>  ;;; Copyright © 2021 Xinglu Chen <[email-masked]>
>> +;;; Copyright © 2021 Thomas Albers Raviola <[email-masked]>
>>  ;;;
>>  ;;; This file is part of GNU Guix.
>>  ;;;
>> @@ -2354,16 +2355,16 @@ special variant of additive synthesis.")
>>  (define-public amsynth
>>    (package
>>      (name "amsynth")
>> -    (version "1.7.1")
>> +    (version "1.12.2")
>>      (source
>>       (origin
>>         (method url-fetch)
>>         (uri (string-append "https://github.com/amsynth/amsynth/releases/"
>>                             "download/release-" version
>> -                           "/amsynth-" version ".tar.bz2"))
>> +                           "/amsynth-" version ".tar.gz"))
>>         (sha256
>>          (base32
>> -         "1882pfcmf3rqg3vd4qflzkppcv158d748i603spqjbxqi8z7x7w0"))))
>> +         "0lhp7fymm2fids02y43cy422jzmdiraszll1mk3gzlbfwg33ds1i"))))
>>      (build-system gnu-build-system)
>>      (arguments
>>       `(#:phases
>> @@ -2372,13 +2373,12 @@ special variant of additive synthesis.")
>>             (lambda _
>>               (substitute* "src/GUI/editor_pane.c"
>>                 (("/usr/bin/unzip") (which "unzip")))
>> -             (substitute* "src/GUI/GUI.cc"
>> +             (substitute* "src/GUI/MainMenu.cpp"
>>                 (("/usr/bin/which") (which "which")))
>>               #t)))))
>>      (inputs
>>       `(("alsa-lib" ,alsa-lib)
>>         ("gtk+" ,gtk+-2)
>> -       ("gtkmm" ,gtkmm-2)
>>         ("jack" ,jack-1)
>>         ("lash" ,lash)
>>         ("libsndfile" ,libsndfile)
>> @@ -2386,6 +2386,8 @@ special variant of additive synthesis.")
>>         ;; External commands invoked at run time.
>>         ("unzip" ,unzip)
>>         ("which" ,which)))
>> +    (propagated-inputs
>> +     `(("gsettings-desktop-schemas" ,gsettings-desktop-schemas)))
>>      (native-inputs
>>       `(("intltool" ,intltool)
>>         ("pkg-config" ,pkg-config)))
>> --
>> 2.33.0
>>
>>
>>
>>